IcedTea-Web NetX

## net.sourceforge.jnlp
Enum UpdateDesc.Check

    java.lang.Object
      java.lang.Enum<UpdateDesc.Check>
          net.sourceforge.jnlp.UpdateDesc.Check

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<UpdateDesc.Check>

Enclosing class:
  UpdateDesc

    public static enum UpdateDesc.Check

extends java.lang.Enum<UpdateDesc.Check>

Describes when/how long to check for updates.

Enum Constant Summary
`ALWAYS` Always check for updates before launching the application
`BACKGROUND` Check for application updates in the background
`TIMEOUT` Default.

Method Summary
`static UpdateDesc.Check` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static UpdateDesc.Check[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### ALWAYS

    public static final UpdateDesc.Check ALWAYS

  Always check for updates before launching the application

### TIMEOUT

    public static final UpdateDesc.Check TIMEOUT

  Default. Check for updates until a certain timeout. If the update check is not completed by timeout, launch the cached application and continue updating in the background

### BACKGROUND

    public static final UpdateDesc.Check BACKGROUND

  Check for application updates in the background

Method Detail

### values

    public static UpdateDesc.Check[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (UpdateDesc.Check c : UpdateDesc.Check.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static UpdateDesc.Check valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

IcedTea-Web NetX

Submit a bug or feature